import { ComponentFixture, TestBed } from '@angular/core/testing';

import { TokenDetailsComponent } from './token-details.component';
import {ActivatedRouteStub, FooterStubComponent, SidebarStubComponent, TokenServiceStub, TopbarStubComponent} from '../../../../testing';
import {ActivatedRoute} from '@angular/router';
import {TokenService} from '../../../_services';
import {TokensModule} from '../tokens.module';
import {AppModule} from '../../../app.module';

describe('TokenDetailsComponent', () => {
  let component: TokenDetailsComponent;
  let fixture: ComponentFixture<TokenDetailsComponent>;
  let route: ActivatedRouteStub;

  beforeEach(async () => {
    route = new ActivatedRouteStub();
    route.setParamMap({ id: 'test' });
    await TestBed.configureTestingModule({
      declarations: [
        TokenDetailsComponent,
        FooterStubComponent,
        SidebarStubComponent,
        TopbarStubComponent
      ],
      providers: [
        { provide: ActivatedRoute, useValue: route },
        { provide: TokenService, useClass: TokenServiceStub }
      ],
      imports: [
        AppModule,
        TokensModule,
      ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(TokenDetailsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
