import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TopbarComponent } from './topbar/topbar.component';
import { FooterComponent } from './footer/footer.component';
import { SidebarComponent } from './sidebar/sidebar.component';
import { MenuSelectionDirective } from './_directives/menu-selection.directive';
import { MenuToggleDirective } from './_directives/menu-toggle.directive';
import {RouterModule} from '@angular/router';
import {MatIconModule} from '@angular/material/icon';
import {TokenRatioPipe} from './_pipes/token-ratio.pipe';



@NgModule({
  declarations: [
    TopbarComponent,
    FooterComponent,
    SidebarComponent,
    MenuSelectionDirective,
    MenuToggleDirective,
    TokenRatioPipe
  ],
  exports: [
    TopbarComponent,
    FooterComponent,
    SidebarComponent,
    MenuSelectionDirective,
    TokenRatioPipe
  ],
    imports: [
        CommonModule,
        RouterModule,
        MatIconModule
    ]
})
export class SharedModule { }
